.banner_landscape {
  display: flex;
  justify-content: center;
  justify-items: center;

  height: var(--bannerheight);
  width: 90vw;
  color: var(--textcolor);
  font-size: var(--bannerfontsize);
  font-style: var(--bannerfontstyle);
  font-weight: bold;
  text-align: center;
  overflow: hidden;
  position: relative;
}
.banner_landscape .slider_landscape {
  position: absolute;
  height: var(--bannerheight);
  width: var(--bannerwidth);
  top: 1.6rem;
  animation: autoRun1 var(--fastanimation) linear infinite;
  transform-style: preserve-3d;
}

.banner_landscape .slider_landscape .item_landscape {
  position: absolute;
  height: 300px;
  width: 500px;
  inset: 0 0 0 0;
  transform: rotateY(
      calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg)
    )
    translateZ(900px);
}
.banner_landscape .slider_landscape .item_landscape .bannerlabel {
  font-size: 0.9rem;
  border: 1px solid var(--textcolor);
  border-radius: 1rem;
  background-color: var(--logocolor);
  position: absolute;
  padding: 0.3rem;
  visibility: hidden;
  bottom: 1%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-shadow: var(--textshadowpattern2);
  z-index: 51;
}

.banner_landscape .slider_landscape .item_landscape:hover .bannerlabel {
  visibility: visible;
}

.banner_ultrawide {
  display: flex;
  justify-content: center;
  justify-items: center;

  height: var(--bannerheight);
  width: 90vw;
  color: var(--textcolor);
  font-size: var(--bannerfontsize);
  font-style: var(--bannerfontstyle);
  font-weight: bold;
  text-align: center;
  overflow: hidden;
  position: relative;
}
.banner_ultrawide .slider_ultrawide {
  position: absolute;
  height: var(--bannerheight);
  width: var(--bannerwidth);
  top: 1.6rem;
  animation: autoRun1 var(--fastanimation) linear infinite;
  transform-style: preserve-3d;
}

.banner_ultrawide .slider_ultrawide .item_ultrawide {
  position: absolute;
  height: 300px;
  width: 500px;
  inset: 0 0 0 0;
  transform: rotateY(
      calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg)
    )
    translateZ(900px);
}
.banner_ultrawide .slider_ultrawide .item_ultrawide .bannerlabel {
  font-size: 0.9rem;
  border: 1px solid var(--textcolor);
  border-radius: 1rem;
  background-color: var(--logocolor);
  position: absolute;
  padding: 0.3rem;
  visibility: hidden;
  bottom: 1%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-shadow: var(--textshadowpattern2);
  z-index: 51;
}

.banner_ultrawide .slider_ultrawide .item_ultrawide:hover .bannerlabel {
  visibility: visible;
}

.banner_portrait {
  display: flex;
  justify-content: center;
  justify-items: center;
  height: var(--bannerheight);
  width: 90vw;
  color: var(--textcolor);
  font-size: var(--bannerfontsize);
  font-style: var(--bannerfontstyle);
  font-weight: bold;
  text-align: center;
  overflow: hidden;
  position: relative;
}
.banner_portrait .slider_portrait {
  position: absolute;
  height: var(--bannerheight);
  width: var(--bannerwidth);
  top: 1.6rem;
  animation: autoRun2 var(--slowanimation) linear infinite;
  transform-style: preserve-3d;
}

.banner_portrait .slider_portrait .item_portrait {
  position: absolute;
  height: 300px;
  width: 233px;
  inset: 0 0 0 0;
  transform: rotateY(
      calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg)
    )
    translateZ(900px);
}
.banner_portrait .slider_portrait .item_portrait .bannerlabel {
  font-size: 0.9rem;
  border: 1px solid var(--textcolor);
  border-radius: 1rem;
  background-color: var(--logocolor);
  position: absolute;
  padding: 0.3rem;
  visibility: hidden;
  bottom: 1%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-shadow: var(--textshadowpattern2);
  z-index: 51;
}
.banner_portrait .slider_portrait .item_portrait:hover .bannerlabel {
  visibility: visible;
}

.banner_square {
  display: flex;
  justify-content: center;
  justify-items: center;
  height: var(--bannerheight);
  width: 90vw;
  color: var(--textcolor);
  font-size: var(--bannerfontsize);
  font-style: var(--bannerfontstyle);
  font-weight: bold;
  text-align: center;
  overflow: hidden;
  position: relative;
}
.banner_square .slider_square {
  position: absolute;
  height: var(--bannerheight);
  width: var(--bannerwidth);
  top: 1.6rem;
  animation: autoRun2 var(--slowanimation) linear infinite;
  transform-style: preserve-3d;
}

.banner_square .slider_square .item_square {
  position: absolute;
  height: 300px;
  width: 300px;
  inset: 0 0 0 0;
  transform: rotateY(
      calc((var(--position) - 1) * (360 / var(--quantity)) * 1deg)
    )
    translateZ(900px);
}
.banner_square .slider_square .item_square .bannerlabel {
  font-size: 0.9rem;
  border: 1px solid var(--textcolor);
  border-radius: 1rem;
  background-color: var(--logocolor);
  position: absolute;
  padding: 0.3rem;
  visibility: hidden;
  bottom: 1%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-shadow: var(--textshadowpattern2);
  z-index: 51;
}
.banner_square .slider_square .item_square:hover .bannerlabel {
  visibility: visible;
}
.bannerimg {
  height: 100%;
  width: 100%;
  border: 2px solif var(--textcolor);
  box-shadow:
    30px 30px 30px 30px black,
    -30px -30px 30px 30px black,
    60px 60px 30px 30px black inset,
    -60px -60px 30px 30px black inset;

  border-radius: 20px;
  object-fit: cover;
}
